### Enumeration

# Fwupd RemoteKind

#### Declaration

    enum Fwupd.RemoteKind

#### Description [src]

The kind of remote.

#### Members

`FWUPD_REMOTE_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Available since: 2.0
`FWUPD_REMOTE_KIND_DOWNLOAD`

  Requires files to be downloaded.

  - Value: `1`
  - Available since: 2.0
`FWUPD_REMOTE_KIND_LOCAL`

  Reads files from the local machine.

  - Value: `2`
  - Available since: 2.0
`FWUPD_REMOTE_KIND_DIRECTORY`

  Reads directory from the local machine.

  - Value: `3`
  - Available since: 2.0